from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XStatisticDisplay(XInterface, Protocol):
    def getUpBar(self) -> XPropertySet: ...
    def getDownBar(self) -> XPropertySet: ...
    def getMinMaxLine(self) -> XPropertySet: ...
